# gcu::LocalizedStringValue Class Reference

`#include <gcu/value.h>`

Inheritance diagram for gcu::LocalizedStringValue:

List of all members.

## Public Member Functions
| LocalizedStringValue ()
virtual | ~LocalizedStringValue ()
char const * | GetAsString () const
char const * | GetLocalizedString (char const *lang) const

## Detailed Description

Used to store translatable strings.

Definition at line 160 of file value.h.

## Constructor & Destructor Documentation

gcu::LocalizedStringValue::LocalizedStringValue | ( |  | ) |

Default constructor

virtual gcu::LocalizedStringValue::~LocalizedStringValue | ( |  | ) | `[virtual]`

Default destructor

## Member Function Documentation

char const* gcu::LocalizedStringValue::GetAsString | ( |  | ) | const`[virtual]`

Returns:
  the string translated to the current locale if known, otherwise, the untranslated string.

Reimplemented from gcu::Value.

char const* gcu::LocalizedStringValue::GetLocalizedString | ( | char const * | lang | ) | const

Parameters:

  | lang | a locale name.

Returns:
  the string translated to the requested locale if known, otherwise, the untranslated string.

The documentation for this class was generated from the following file:

- value.h